<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}



	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
    case 'editar':
      //setor achar significa poder ir para outra amostra
 
		
		 if (post('acharDigitada') !== "" || post('acharAvanca') !== ""  || post('acharRecua') !== "" || post('acharUltima') !== ""):
			   	$registro=post('amostra');//se clica em achar digitada ja pega daqui
              	if(post('acharAvanca') !== "")$acao='avanca';
              	if(post('acharRecua') !== "")$acao='recua';
              	if(post('acharUltima') !== "")$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima

		
		
		
		//echo("ooooooo outra $amostraLonga= $amostraLong  <br>");
	    //////vai capturar os dados da amostra////////////////
	    $concluirCalculo="SIM";
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			$amostra=$resgenerica->fic_amostra;
			$especie=$resgenerica->esp_nome;
			$codEspecie=$resgenerica->esp_id;
	    endwhile;

			if(post('bt_fechar') !== ""):
			  if(post('cb_fechar') !== ""):
	    		   //GRAVA AS LEITURAS DiRETO NA REAN
				   $sql="update rean1 set rea_finalizada='s' where  rea_teste='PMS' and  rea_ficha=".$amostraLong;
  	 	           $generica=new tabelagenerica();
				   $generica->grava_registro_com_retorno($sql); 
		           printMSG('Esta amostra foi fechada e so podera ser reaberta se entrar com uma senha de administrador. Ok. Gravação normal.' ,'alerta');	
			   else:
			   		printMSG('Não houve fechamento, porque antes precisa  marcar SIM. ' ,'alerta');
			   endif;//confirma se clicou em sim		
			endif;//isset do botao fechar
			
			if(post('reabre') !== ""):
			  $master=$sessao->getVar('master');
			  //echo("nomeTeste= $nomeTeste master  $master<br>");
			  if($master=='s'):
	    		   //GRAVA AS LEITURAS DiRETO NA REAN
				   $sql="update rean1 set rea_finalizada='n' where  rea_teste='PMS' and  rea_ficha=".$amostraLong;
  	 	           $generica=new tabelagenerica();
				   $generica->grava_registro_com_retorno($sql); 
		           printMSG('Teste foi reaberto! Ok. Gravação normal.' ,'alerta');
				   //grava ocorrencia
				   $finalidade="Reabrir Pureza";
	               $valor='-O-';				   
				   $objetocalculo->registroDeOcorrencias($amostraLong,0,$nomeOperador,$finalidade,$valor,$idLabo);
				   printMSG('Gravou Ok. Gravou também uma ocorrência.' ,'alerta');	
	
			   else:
			   		printMSG('Para reabrir este teste, desta amostra, precisa entrar no programa com a senha do ADMINISTRADOR. ' ,'alerta');
			   endif;//confirma se clicou em sim		
			endif;//isset do botao REABRIR
	        



		
		//acha o valor de rean 1 de qualquer maneira
        $user = new rean1();
		$user->extras_select =" where  rea_teste='PMS' AND rea_ficha=".$amostraLong ;
        $user->selecionaTudo($user);
        $contador=0;
		while ($res = $user->retornaDados()):
		    $contador++;
		    $vetor[1]=$res->rea_lei4;
			$resultadoFinalCalculado=$res->rea_v1;
			$situacao="   Arquivado";
			$concatenadoResgatado=$res->rea_campo60a;
			list($variancia,$desvio,$soma,$media,$coeficiente)= explode("*", $concatenadoResgatado);
		    $vetor[2]=$res->rea_v2;
		    $vetor[3]=$res->rea_v3;
		    $vetor[4]=$res->rea_v4;
		    $vetor[5]=$res->rea_v5;
		    $vetor[6]=$res->rea_lei1;
		    $vetor[7]=$res->rea_lei2;
		    $vetor[8]=$res->rea_lei3;
		    $vetor[9]=$res->rea_campo20a;
		    $vetor[10]=$res->rea_validade;
		    $vetor[11]=$res->rea_campo60b;
		    $vetor[12]=$res->rea_campo60c;
		    $vetor[13]=$res->rea_campo20b;
		    $vetor[14]=$res->rea_campo100;
		    $vetor[15]=$res->rea_datainicio;
		    $vetor[16]=$res->rea_duracao;
		    $vetor[16]=$res->rea_duracao;
		    $contagemRevestidas=$res->rea_segunda_leitura;
		    $aparencia=$res->rea_segunda_leitura_data;
		    $balanca=$res->rea_primeira_leitura_data;
			$reanLong=$res->rea_id;
			$pmsIncrustradas=$res->rea_v1;
			$reaOperador=$res->rea_operador;
			$dataBrasil=date("d/m/Y",strtotime($res->rea_datageralteste));
			$finalizada=$res->rea_finalizada;	
		endwhile;
        $desabilita="";
		if($finalizada=='s'):
		  $desabilita='disabled';
		endif;
       // echo("ddddddesabilita=$desabilita  finalizada=$finalizada<br>");		
       if($contador==0):
            //criando registro de GERM
            $reanNova = new rean1(array(
                'rea_ficha'=> $amostraLong,
                'rea_teste'=> 'PMS',
            ));
            $reanLong=$reanNova->inserir($reanNova);
			//echo("Criou registro novo para salvar seu dados de PMS");
			printMSG('(1)Criou registro novo para salvar seu dados de PMS.' ,'alerta');	
        endif;

		
		
		
		
		//SE GOR BAREM  E SE FOR SEMENTE REVESTIDA PEGA O PESO DA PUREZA*1000 E DIVIDE PELO PESO DE PELOTAS PURAS
        if($cliente=='BAREN'):
			//acha o valor de rean 1 de qualquer maneira
	        $user = new rean1();
			$user->extras_select =" where  rea_teste='PURE' AND rea_ficha=".$amostraLong ;
	        $user->selecionaTudo($user);
	        $contador=0;
			while ($res = $user->retornaDados()):
			    $contador++;
			    $pesoPureza=$res->rea_lei2;
			endwhile;
		endif;

 

	
//aqi colocar o simulador que preenche com valores deful
          if (post('simulador') !== ""):
			 //echo '<h2>ssssssssssssssimuladorAchar uma amostra</h2>';
			 $vetor[1]=14.3;
			 $vetor[2]=14.7;
			 $vetor[3]=14.2;
			 $vetor[4]=14.3;
			 $vetor[5]=14.4;
			 $vetor[6]=14.2;
			 $vetor[7]=14.6;
			 $vetor[8]=14.7;
		     printMSG('Uso do simulador: Estes dados somente serão gravados se neste momento for clicar em CALCULAR GRAVAR. Se clicar em achar, voltarão so dados antigos. ','alerta');
           endif;
      
	  //vai checar quanos testes tem nesta amostras
      if(post('bt_checar') !== ""):
	     //////////
        $user = new rean1();
		$user->extras_select =" where  rea_teste='PMS' AND rea_ficha=".$amostraLong ;
        $user->selecionaTudo($user);
        $contador=0;
		while ($res = $user->retornaDados()):
		    $contador++;
		endwhile;
        printMSG('Existem ' . $contador . ' testes de PMS nesta amostra.' ,'alerta');	

        echo("Checagem de testes nesta amostra.<br>");         	  
	  
	  endif;     
	
	
	  //aqui so vai ler os post se clicar em calcular gravar
	
	  $limite=8;
      if (post('bt_calcularegravar') !== "" ||post('bt_calcularegravar16') !== "" ):
         if (post('bt_calcularegravar16') !== "")$limite=16;
	     //echo '<h2>bbbbbbbbbbbbbbotao calcular e gravar</h2>';
	     //passo 1 capturar os dados dos campos para isso vai usar o post
		 $reanLong=post('reanLong');
		 $vetor[1] = post('rep1');
		 $vetor[2] = post('rep2');
		 $vetor[3] = post('rep3');
		 $vetor[4] = post('rep4');
		 $vetor[5] = post('rep5');
		 $vetor[6] = post('rep6');
		 $vetor[7] = post('rep7');
		 $vetor[8] = post('rep8');
		 $vetor[9] = post('rep9');
		 $vetor[10] = post('rep10');
		 $vetor[11] = post('rep11');
		 $vetor[12] = post('rep12');
		 $vetor[13] = post('rep13');
		 $vetor[14] = post('rep14');
		 $vetor[15] = post('rep15');
		 $vetor[16] = post('rep16');
         $contagemRevestidas=post('contagemRevestidas'); 
	     $vaiGravar="SIM"; 
	      //converte virgula em ponto
		  for($i=1;$i<=16;$i++):
			 $vetor[$i]=str_replace(",",".",$vetor[$i]);
		  endfor;
		  //checar se ele nao informou 16 pesos e clicou em calcular com 16 
		  $nulos="";
		  for($i=9;$i<=16;$i++):
		     $valor=1*$vetor[$i];
   			 if($valor==0)$nulos="SIM";
		  endfor;
          if($limite==16  &&  $nulos=="SIM"):
	         $vaiGravar="NAO"; 
			 printMSG('Nao vai calcular nem gravar porque so informou 8 pesos e mandou calcular com 16.' ,'alerta');	
		  endif; 		  
	  endif;	 


      if (post('bt_calcularegravarPMSRevestidas') !== ""):
   		$nomeCortado=substr($nomeOperador,0,10);
		$hoje=date('Y-m-d');
	     //passo 1 capturar os dados dos campos para isso vai usar o post
		 $reanLong=post('reanLong');
         $pesoPureza=post('pesoPureza');
         $contagemRevestidas=post('contagemRevestidas'); 
         if($contagemRevestidas>0):
		    $calculoDireto= $pesoPureza*1000/$contagemRevestidas;
		    $pmsIncrustradas=number_format($calculoDireto,1,'.','');
			$sql="update rean1 set rea_v1='$pmsIncrustradas',
			  rea_datageralteste='$hoje',
			  rea_operador='$nomeCortado',
			  rea_segunda_leitura='$contagemRevestidas'
			  where rea_id=".$reanLong;
			  echo("sql=$sql   <br>");
			  $generica->grava_registro_com_retorno($sql); 
		 endif; 		 
	  endif;	 


    //so vai calcular e gravar se realmente informou corretamente
    if($vaiGravar=="SIM"):
		//passo 2 executa os calculos todas vezesxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
		$teste=0;
		//soma os quadrados
		$Ex2 = 0;
		for($i=1;$i<=$limite;$i++)
		{
		   $quadrado=$vetor[$i]*$vetor[$i];
		   $Ex2 = $Ex2 + $quadrado;
		   //echo( $i."º peso=$vetor[$i] quadrado=$quadrado   Ex2(acumulado)=$Ex2<br>");
		}
		//echo $Ex2;
		//quadrado da soma
		$soma = 0;
		for($i=1;$i<=$limite;$i++)
		{
		   $soma+= $vetor[$i];
		}
		$somaQuadrada =pow($soma,2);
		//MEDIA
		$media = $soma / $limite;
		//variancia
		$divisor=$limite * ($limite-1);
		$membro1=$limite * $Ex2;
		
		$variancia = ($limite * $Ex2 - $somaQuadrada) / $divisor;
		$variancia=number_format($variancia,8,'.','');
		//'MsgBox "ex2=" & Ex2 & "  vari " & Vari & "  soma " & SOMA & "  soma2 " & Soma2
		echo(" Ex2=$Ex2  Membro1(8xEx2)=$membro1  Membro2= $somaQuadrada   Num de Pesos=$limite    variancia=$variancia <br>");
		
		//desvio
		$desvio = sqrt($variancia);
		$desvio=number_format($desvio,5,'.','');
		//media
		$media = $soma / $limite;
		$media100sementes=$soma / $limite;
		$mediaBaren=$media*10;
		echo ("soma=$soma  limite=$limite   media $mediaBaren<br>");
		$media=number_format($media,2,'.','');//ERA 2
		$resultadoFinalCalculado=$media100sementes*10;
        //$resultadoFinalADV=$media100sementes*10;

		if($cliente=='BAREN'):
		    //$resultadoFinal=$mediaBaren;
		endif;
		//$resultadoFinal=$media;
		//$resultadoFinal=$media*1000;
		$resultadoFinalPAT=$resultadoFinalCalculado*2.5;
		//casas decimais
		$casasDecimais=0;
		if($resultadoFinalCalculado<1000)$casasDecimais=1;
		if($resultadoFinalCalculado<100)$casasDecimais=2;
		if($resultadoFinalCalculado<10)$casasDecimais=3;
		$resultadoFinal=number_format($resultadoFinalCalculado,$casasDecimais,',','.');
		//$resultadoFinal=number_format($resultadoFinalCalculado,1,'.','');;
		//$resultadoFinal=number_format($resultadoFinalADV,$casasDecimais,'.',',');

		if($cliente=='BAREN'):
		    $resultadoFinal=number_format($mediaBaren,3,'.',',');    //
			$pmsIncrustradas=number_format($mediaBaren,3,'.',',');    //353
        endif; 		
		$complementoSingular=" casa decimal.";
		if($casasDecimais>1)$complementoSingular= " casas decimais.";
		$mensagemDecimais= $nomeOperador.", use ponto(ou vírgula) e ".$casasDecimais . $complementoSingular;
		//coeficiente de variacao
		if($media>0)$coeficiente = $desvio * 100 / $media;
		$coeficiente=number_format($coeficiente,5,'.','');
		
		
		$concatenadoSalvacao=$variancia."*".$desvio."*".$soma."*".$media."*".$coeficiente."*";
        //aqui ele le o que tinha ja sido marcado(detalhe qu no inico nada esta marcado))
		$sistema=post('sistema');
		//echo("leu sistema= $sistema  cliente=$cliente<br>");
		
		
		//SE NADA ESTIVER ASSINALADO O DEFUL VAI PARA NAO PALHENTA MAS SE FOR CLIETE BARENBRUG O DEFUL VAI PARA NAO PALHENTA
		if($cliente=='BAREN'  && strlen($sistema)==0)$sistema="Palhenta";
		//echo(" depois da excessao sistema= $sistema  cliente=$cliente<br>");
		
		
		
		if($sistema=="Palhenta")
		{
		     $status6="checked";
		     $status3="";
		     $parametro=6;
		}
		else
		{
		     $status3="checked";
		     $status6="";
		     $parametro=4;
		}

		$corp="#3dd926";
		$situacao=" --> Cálculo OK(Salvou).";
		if($coeficiente>$parametro):
		   $vaiGravar='NAO';
		   $corp="#ff8888";
		   $situacao=" --> Cálculo Não OK.";
		endif;   
 endif;//pregunta se vai gravar==sim

	//aqui eu vou reativar depois estes gravadores com calma
      if (post('bt_calcularegravar') !== "" ||post('bt_calcularegravar16') !== ""):
	     //if($vaiGravar=='SIM'):
			//GRAVA AS LEITURAS DiRETO NA REAN
			$nomeCortado=substr($nomeOperador,0,10);
			$aparencia=post('aparencia');
			$balanca=post('balanca');
            $dataBrasil=post('dataBrasil');
			/////////////////////////////////////
	        //valida a data de entrada
			$objetoValidacao=new validacao();
			$vaiGravar=TRUE;
		    //echo("data entrada em portugues $dt_entrada <br>");
		    $retorno=$objetoValidacao->validaDataEntrada($dataBrasil);//esta data vai validar o ano e somente esta
		    if($retorno=='invalida'):
	           printMSG('Atenção: Preencha corretamente a data do final do teste no formato dd/mm/aaaa, pois nenhum dado foi gravado. ','alerta');
	           $vaiGravar=FALSE;
		    else:
			   $dt_entrada_americana=$retorno;
		    endif;
			///////////////////////////////////
          if($vaiGravar==TRUE):
		    $resultadoFinal=str_replace(".",",",$resultadoFinal);
			$sql="update rean1 set rea_v1='$resultadoFinal', rea_v2='$vetor[2]',
			 rea_v3='$vetor[3]', rea_v4='$vetor[4]', rea_v5='$vetor[5]', rea_lei1='$vetor[6]',
			  rea_lei2='$vetor[7]', rea_lei3='$vetor[8]', 
			  rea_lei4='$vetor[1]',
			  rea_campo20a='$vetor[9]',
			  rea_validade='$vetor[10]',
              rea_campo60a='$concatenadoSalvacao',
			  rea_campo60b='$vetor[11]',
			  rea_campo60c='$vetor[12]',
			  rea_campo20b='$vetor[13]',
			  rea_campo100='$vetor[14]',
			  rea_datainicio='$vetor[15]',
			  rea_duracao='$vetor[16]',
			  rea_datageralteste='$dt_entrada_americana',
			  rea_operador='$nomeCortado',
			  rea_segunda_leitura='$contagemRevestidas',
              rea_segunda_leitura_data='$aparencia',
              rea_boletim='S',
              rea_primeira_leitura_data='$balanca'
			  where rea_id=".$reanLong;
			   $generica->grava_registro_com_retorno($sql); 
			   //grava ocorrencia
			   $finalidadeTeste="PMS";
               $valor=	substr($contaminante,0,10);				   
			   $objetocalculo->registroDeOcorrencias($amostraLong,0,$nomeOperador,$finalidadeTeste,$resultadoFinal,$idLabo);
			   printMSG('Registros salvos com sucesso.(Se apertar enter, depois de inserir o valor o computador ja salva seus dados)' ,'aviso');	
             endif;//VERIFICA SE VAIGRAVAR=TURE
		   //endif;	   
     endif;// finall do botao calcular e gravar para 8 e 16
	 
	 		
			//captura os dados da amostra
			$userAmostra = new amostras();
			$userAmostra->extras_select =  " where fic_id=".$amostraLong;  //fucnciona perfeito
			$userAmostra->selecionaCampos($userAmostra);
			while ($resAmostra = $userAmostra->retornaDados()):
			    $amostraLong=$resAmostra->fic_id;
			    $idCultivar=$resAmostra->fic_cultivar;
			    $idProdutor=$resAmostra->fic_produtor;
			    $ultima=$resAmostra->fic_amostra;
				if($finalidade=='DEFINITIVA'):
			       $amostra=$resAmostra->fic_amostra;
				else:
			       $amostra=$resAmostra->fic_amostra_previa;
				endif; 
				$lote=$resAmostra->fic_lote;
			endwhile;		
			echo '<h2>Cálculo de PMS. Amostra:'. $amostra.  ' Espécie:'. $especie. '</h2>';
 
			if (post('bt_imprimir') !== ""):
			    
			
			
	            echo '<iframe src="imprimefichaPMS.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
            endif;
	 
	 
	 

	?>
	                 
    <form class="userform" method="POST" action="">
	<input type="hidden" name="reanLong" value="<?php echo $reanLong ?>" size=5 />
	</td>


	                 <table border="1" cellspacing="1" align="center" width="1000">
	                 <td><table>


					 <thead>
	                        <tr>
	                            <th>Quesito   </th>
	                            <th>Peso(g)   </th>
	  
	                        </tr>
	                    </thead>
						
	                    <tbody>

	                    <tr>
	                        <td>Repetição 1</td>
	                        <td><input type="text" name="rep1" value="<?php echo $vetor[1]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 2</td>
	                        <td><input type="text" name="rep2" value="<?php echo $vetor[2]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 3</td>
	                        <td><input type="text" name="rep3" value="<?php echo $vetor[3]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 4</td>
	                        <td><input type="text" name="rep4" value="<?php echo $vetor[4]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 5</td>
	                        <td><input type="text" name="rep5" value="<?php echo $vetor[5]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 6</td>
	                        <td><input type="text" name="rep6" value="<?php echo $vetor[6]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 7</td>
	                        <td><input type="text" name="rep7" value="<?php echo $vetor[7]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 8</td>
	                        <td><input type="text" name="rep8" value="<?php echo $vetor[8]?>" size="3" /></td>
						
						
						 </tr>
		</table></td>
	
	
	<!--repeticao de 9 a 16-->
	
		                 <td><table>


					 <thead>
	                        <tr>
	                            <th>Quesito   </th>
	                            <th>Peso(g)   </th>
	  
	                        </tr>
	                    </thead>
						
	                    <tbody>

	                    <tr>
	                        <td>Repetição 9</td>
	                        <td><input type="text" name="rep9" value="<?php echo $vetor[9]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 10</td>
	                        <td><input type="text" name="rep10" value="<?php echo $vetor[10]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 11</td>
	                        <td><input type="text" name="rep11" value="<?php echo $vetor[11]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 12</td>
	                        <td><input type="text" name="rep12" value="<?php echo $vetor[12]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 13</td>
	                        <td><input type="text" name="rep13" value="<?php echo $vetor[13]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 14</td>
	                        <td><input type="text" name="rep14" value="<?php echo $vetor[14]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 15</td>
	                        <td><input type="text" name="rep15" value="<?php echo $vetor[15]?>" size="3" /></td>
	                    </tr>
	                    <tr>
	                        <td>Repetição 16</td>
	                        <td><input type="text" name="rep16" value="<?php echo $vetor[16]?>" size="3" /></td>
						
						
						 </tr>
		</table></td>
	
	
		<td><table>
		                 <tr><td>
	                     Variância:<?php echo $variancia?>
						 </td></tr>
		                 <tr><td>
	                     Desvio padrão:<?php echo $desvio?>
						 </td></tr>
		                 <tr><td>
	                     Coeficiente de variação:<?php echo $coeficiente?>
						 </td></tr>
		                 <tr><td>
	                     Média:<?php echo $media; ?>  
	                     [Peso médio de 100 sementes:<?php echo $media100sementes; ?> ] 
				         </td>
						 </tr>
		                
		             <tr>
					 <td bgcolor="<?php echo($corp)?>"  style="font-size: 180%"  style="font-family:Arial" style="height: 22px"   > 
	                     PMS:<?php echo  $pmsIncrustradas. 'g'. $situacao; ?>
	        	     </td>
					 </tr>
		             <tr><td> 
	                     Se for calcular semente pelotizado o peso da amostra de trabalho será <?php echo $resultadoFinalPAT; ?>g
	        	     </td>
					 </tr>

					 
	     	             <?php
			     if($corp=="red")
			     {
			     ?>
			     <tr><td>Se a semente for palhenta, então pode optar por </td></tr>
			     <tr><td>tolerancia maior p/ coeficiente de variação.  </td></tr>
			     <?php
			     }
			     ?>
	             <tr><td>
			     <input type=radio name="sistema" value="Palhenta" <?php echo $status6?>  /> Palhenta(6% Tol.)
				 <input type=radio name="sistema" value="Nao palhenta" <?php echo $status3?>  /> Não palhenta(4% Tol.)
	             </td></tr>
				 <tr>
				 <td>
				   Operador: <?php echo $reaOperador;?> Data: <?php echo $dataBrasil;?>
				 </td>
				 
				 </tr>
				 <tr>
				 <td>
				 <input type="submit" name="bt_calcularegravar" <?php echo $desabilita; ?>  value="Calcular e gravar 8 Repetições" />
				 <input type="submit" name="bt_imprimir" value="Imprime ficha PMS" />
				 </td>
				 </tr>
				 
				 <?php if($cliente=='BAREN'):?>
				 <tr>
                 <td>
				 Insira aqui a contagem de sementes revestidas:
				 <input  type="text" name="contagemRevestidas" size="4" maxlength="4" value="<?php echo $contagemRevestidas; ?>"  />
				 </td>				 
				 </tr>

				 <tr>
                 <td>
				 Peso Pureza:<input  type="text" name="pesoPureza" size="4" maxlength="4" value="<?php echo $pesoPureza; ?>"  />
				 </td>				 
				 </tr>

			     <tr>
                 <td>
				 PMS de sementes incrustradas<input  type="text" name="pmsIncrustradas" size="4" maxlength="4" value="<?php echo $pmsIncrustradas; ?>"  />
	             <input type="submit" name="bt_calcularegravarPMSRevestidas" <?php echo $desabilita; ?>  value="Calcular e gravar este PMS" /></td>
				 </td>				 
				 </tr>



                 <?php endif; ?>				 
				 Aparência:<input  type="text" name="aparencia" size="6" maxlength="10" value="<?php echo $aparencia; ?>"  />
				 Balança:<input  type="text" name="balanca" size="6" maxlength="10" value="<?php echo $balanca; ?>"  />
				 Data:<input  type="text" name="dataBrasil" size="6" maxlength="10" value="<?php echo $dataBrasil; ?>"  />


		
				 
				 
	             <tr>
				 <td>
	  			 </tr><?php echo $mensagemDecimais;?>
				 
				 
				 </td>

			     
			     
		  </table> </td>

                    <table align="left">
					<tr>
                    <td><?php echo $mensagemDefeito?> </td>
                    </tr>
					<tr>
                    <td><?php echo $mensagem?> </td>
                    </tr>
					<tr>
                    <td><?php echo $mensagem1?> </td>
                    </tr>
					<tr>
				    <td>
                    <td><label3>Amostra:</label3></td>
					<td> <b> <input type="text" size="3"  maxlength="5" name="amostra" value="<?php echo $amostra; ?>" /></b></td>
				    <td><input type="submit" name="acharDigitada" value="<--Achar" />
					<input type="submit" name="acharRecua" value="<" />
					<input type="submit" name="acharAvanca" value=">" />
					<input type="submit" name="acharUltima" value=">|" />
					</td>
					<tr>
					
	                <td><input type="submit" name="simulador" value="Simula um cálculo" /></td>
	                <td><input type="submit" name="bt_calcularegravar16" <?php echo $desabilita; ?>  value="Calcular e gravar 16 Repetições" /></td>
					
	                
                    </tr>
					<tr>
					<td><input type="submit" name="bt_checar" <?php echo $desabilita; ?>  value="Checar" /></td>
					<td><input type="button" onclick="location.href='?m=amplo2023&t=registroAmostra'" value="Versão 2023" /></td>
					
					</tr>
					
					
					</form> 

					</tr>

					<tr>
					<?php
					if($finalizada=="s"):
					?>
						<input type="submit" name="reabre" value="Reabre" />
					<?php	
					else:
		            ?>
						<input type="submit" name="bt_fechar" value="Fechar" />Sim
						<input type="checkbox"   name="cb_fechar" />
					<?php	
					endif;
							
		            ?>  			
	
					</tr>


                    </table>
					
					
       <?php 		 
    break;






	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>